###################################################
### chunk number 1: 
###################################################
  set.seed(20100129)
options(digits=2)


###################################################
### chunk number 2: 
###################################################
    library(rv)


###################################################
### chunk number 3: 
###################################################
rvnsims(2500)


###################################################
### chunk number 4: 
###################################################
x <- rvnorm(mean=1:5, sd=1)


###################################################
### chunk number 5: 
###################################################
  x


###################################################
### chunk number 6: 
###################################################
rvmin(x)
rvmean(x)
rvsd(x)
rvmin(x)
rvquantile(x, c(0.025,0.25,0.5,0.75,0.975))
rvmax(x)
rvmedian(x)


###################################################
### chunk number 7: 
###################################################
x[3:4] <- rvbinom(size=1, prob=c(0.1,0.9))
x[3:4]


###################################################
### chunk number 8: 
###################################################
y <- 1:5
y[3:4] <- x[3:4]
y


###################################################
### chunk number 9: 
###################################################
1/(1+exp(-x[1]))


###################################################
### chunk number 10: 
###################################################
2*log(abs(x[2]))


###################################################
### chunk number 11: 
###################################################
x <- rvpois(lambda=1:5)
x
sort(x)
min(x)
max(x)


###################################################
### chunk number 12: 
###################################################
p <- runif(4) # Some prior probabilities.
y <- rvbinom(size=1, prob=p) # y is now a rv of length 4.
dim(y) <- c(2,2) # Make y into a 2x2 matrix.
y
y %*% y


###################################################
### chunk number 13: 
###################################################
E(y)


###################################################
### chunk number 14: 
###################################################
z <- rvnorm(1)
z > 1


###################################################
### chunk number 15: 
###################################################
Pr(z > 1)


###################################################
### chunk number 16: 
###################################################
z <- rvnorm(2)
Pr(z[1] > z[2]^2)


###################################################
### chunk number 17: 
###################################################
Pr(x[1] > x[2] & x[1] > x[4])
Pr(x[1] > x[2] | x[1] > x[4])


###################################################
### chunk number 18: 
###################################################
z <- rvnorm(n=2, mean=0, sd=1)
y <- exp(z)
y[2] <- y[2] * y[1]
x <- (y[1]-1) * (y[1]>1) * (y[2]>1)
E(x)
Pr(x>1)


###################################################
### chunk number 19: 
###################################################
mlplot(x)


###################################################
### chunk number 20: 
###################################################
rvhist(x[1])


###################################################
### chunk number 21: 
###################################################
x <- 1:30
y <- rnorm(30, mean=x/10) # Some fake data.
fit <- lm(y ~ x)
s  <- postsim(fit)


###################################################
### chunk number 22: 
###################################################
 s["sigma"]


###################################################
### chunk number 23: 
###################################################
sigma <- s[1]
betas <- s[-1]
X <- model.matrix(fit)
y.rep <- rvnorm(mean=X %*% betas, sd=sigma)
mlplot(y.rep) # Summarize graphically.


###################################################
### chunk number 24: 
###################################################
X %*% betas


###################################################
### chunk number 25: <
###################################################
  x <- 1
  for (n in 1:100) {
    x <- x + rvbern(n=1, prob=x / (n + 1))
  }


###################################################
### chunk number 26: 
###################################################
  rvhist(x / (n + 1)) # Histogram


###################################################
### chunk number 27: 
###################################################
s <- sims(y.rep)
dim(s)


###################################################
### chunk number 28: 
###################################################
y <- rvsims(s)


###################################################
### chunk number 29: 
###################################################
 x <- rvnorm(6)
 names(x) <- c(paste("theta[", 1:4, "]", sep=""), paste("mu[", 1:2, "]", sep=""))
 x
 rv::splitbyname(x)


